Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Class BeanLifecycleCallbacks

    java.lang.Object
      org.apache.openjpa.event.MethodLifecycleCallbacks
          org.apache.openjpa.event.BeanLifecycleCallbacks

All Implemented Interfaces:
  Externalizable, Serializable, LifecycleCallbacks

    public class BeanLifecycleCallbacks

extends MethodLifecycleCallbacks

Performs a callback method on a cached bean instance.

Author:
  Steve Kim
See Also:
  Serialized Form

Constructor Summary
`BeanLifecycleCallbacks(Class<?> cls, Method method, boolean arg)` Constructor.
`BeanLifecycleCallbacks(Class<?> cls, String method, boolean arg, Class<?> type)` Constructor.

Method Summary
`void` | `makeCallback(Object obj, Object rel, int eventType)` Invoke the callback for the given event type on the given instance.
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.apache.openjpa.event.MethodLifecycleCallbacks
`getCallbackMethod, getMethod, hasCallback, requiresArgument, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanLifecycleCallbacks

    public BeanLifecycleCallbacks(Class<?> cls,
                                  String method,
                                  boolean arg,
                                  Class<?> type)

  Constructor. Make the callback on an instance of the given type.

### BeanLifecycleCallbacks

    public BeanLifecycleCallbacks(Class<?> cls,
                                  Method method,
                                  boolean arg)

  Constructor. Make the callback on an instance of the given type.

Method Detail

### makeCallback

    public void makeCallback(Object obj,
                             Object rel,
                             int eventType)
                      throws Exception

  Description copied from interface: `LifecycleCallbacks`
  Invoke the callback for the given event type on the given instance.

  Specified by:
    `makeCallback` in interface `LifecycleCallbacks`
  Overrides:
    `makeCallback` in class `MethodLifecycleCallbacks`
  Throws:
    `Exception`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `MethodLifecycleCallbacks`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `MethodLifecycleCallbacks`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.